astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astropy Core Package Utilities (`astropy.utils`) »
- Conf

# Conf

class `astropy.utils.data.``Conf`

  Bases: `astropy.config.ConfigNamespace`

  Configuration parameters for `astropy.utils.data`.

  Attributes Summary

  `compute_hash_block_size` | Block size for computing MD5 file hashes.
  `dataurl` | URL for astropy remote data site.
  `delete_temporary_downloads_at_exit` | If True, temporary download files created when the cache is inaccessible will be deleted at the end of the python session.
  `download_block_size` | Number of bytes of remote data to download per step.
  `download_cache_lock_attempts` | Number of times to try to get the lock while accessing the data cache before giving up.
  `remote_timeout` | Time to wait for remote data queries (in seconds).

  Attributes Documentation

  `compute_hash_block_size`

    Block size for computing MD5 file hashes.

  `dataurl`

    URL for astropy remote data site.

  `delete_temporary_downloads_at_exit`

    If True, temporary download files created when the cache is inaccessible will be deleted at the end of the python session.

  `download_block_size`

    Number of bytes of remote data to download per step.

  `download_cache_lock_attempts`

    Number of times to try to get the lock while accessing the data cache before giving up.

  `remote_timeout`

    Time to wait for remote data queries (in seconds).